<?xml version="1.0" encoding="utf-8"?>
<layout>
    <data>

        <variable
            name="view"
            type="it.integry.integrywmsnative.gest.versamento_merce.VersamentoMerceFragment" />

        <variable
            name="viewmodel"
            type="it.integry.integrywmsnative.gest.versamento_merce.VersamentoMerceViewModel" />

    </data>

    <FrameLayout xmlns:android="http://schemas.android.com/apk/res/android"
        xmlns:tools="http://schemas.android.com/tools"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        tools:context=".gest.versamento_merce.VersamentoMerceFragment"
        android:padding="8dp"
        android:background="@color/full_white">


        <androidx.appcompat.widget.LinearLayoutCompat
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical">

            <androidx.appcompat.widget.LinearLayoutCompat
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:background="@drawable/gray_detail_background_round8"
                android:orientation="vertical"
                android:layout_marginLeft="8dp"
                android:layout_marginRight="8dp"
                android:padding="16dp">

                <androidx.appcompat.widget.LinearLayoutCompat
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="horizontal">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="Data creazione: "
                        android:textColor="@android:color/black"
                        android:textSize="16sp" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@{viewmodel.currentMtbColt.getDataColloHumanLong()}"
                        tools:text="22 ottobre 2018"
                        android:textColor="@android:color/black"
                        android:textSize="16sp"
                        android:textStyle="bold" />
                </androidx.appcompat.widget.LinearLayoutCompat>

                <androidx.appcompat.widget.LinearLayoutCompat
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="horizontal">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="Preparato da "
                        android:textColor="@android:color/black"
                        android:textSize="14sp" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@{viewmodel.currentMtbColt.getPreparatoDa() != null ? viewmodel.currentMtbColt.getPreparatoDa() : `N/D`}"
                        tools:text="Vito Falagario"
                        android:textColor="@android:color/black"
                        android:textSize="14sp"
                        android:textStyle="italic" />
                </androidx.appcompat.widget.LinearLayoutCompat>

                <androidx.appcompat.widget.LinearLayoutCompat
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="horizontal"
                    android:layout_marginTop="12dp">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="Posizione "
                        android:textColor="@android:color/black"
                        android:textSize="14sp" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@{viewmodel.currentMtbColt.getPosizione() != null ? viewmodel.currentMtbColt.getPosizione() : `N/D`}"
                        tools:text="A00F00C00L00"
                        android:textColor="@android:color/black"
                        android:textSize="14sp"
                        android:textStyle="bold" />
                </androidx.appcompat.widget.LinearLayoutCompat>

                <androidx.appcompat.widget.LinearLayoutCompat
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="horizontal">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="Deposito "
                        android:textColor="@android:color/black"
                        android:textSize="14sp" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@{viewmodel.currentMtbColt.getCodMdep()}"
                        tools:text="10"
                        android:textColor="@android:color/black"
                        android:textSize="14sp"
                        android:textStyle="bold" />

                    <!--<TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="4sp"
                        android:text="@{viewmodel.descrizioneDepo}"
                        tools:text="(Bari)"
                        android:textColor="@android:color/black"
                        android:textSize="14sp"
                        android:textStyle="bold" />-->
                </androidx.appcompat.widget.LinearLayoutCompat>


            </androidx.appcompat.widget.LinearLayoutCompat>


            <androidx.appcompat.widget.LinearLayoutCompat
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical"
                android:layout_marginTop="32dp"
                android:layout_marginStart="16dp"
                android:layout_marginEnd="16dp">

                <androidx.appcompat.widget.LinearLayoutCompat
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="horizontal"
                    android:weightSum="10">


                    <ProgressBar
                        android:id="@+id/progressBar"
                        style="?android:attr/progressBarStyle"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"/>

                    <androidx.appcompat.widget.AppCompatTextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:textSize="16sp"
                        android:layout_marginStart="8dp"
                        android:layout_marginEnd="12dp"
                        android:layout_gravity="center_vertical"
                        android:gravity="center_horizontal"
                        android:text="Scansiona il codice a barre di destinazione"/>
                </androidx.appcompat.widget.LinearLayoutCompat>

            </androidx.appcompat.widget.LinearLayoutCompat>
        </androidx.appcompat.widget.LinearLayoutCompat>

    </FrameLayout>
</layout>